#
# Conditional build:
%bcond_without	kde		# install KDE Docbook documentation

Summary:	XSLT stylesheets debugger
Summary(pl.UTF-8):	Odpluskiwacz styli XSLT
Name:		xsldbg
Version:	4.8.0
Release:	3
License:	GPL
Group:		Development/Debuggers
Source0:	http://downloads.sourceforge.net/xsldbg/%{name}-%{version}.tar.gz
# Source0-md5:	e9bf58a2f81c19279ddc9d686a464902
URL:		http://xsldbg.sourceforge.net/
BuildRequires:	Qt5Core-devel
BuildRequires:	docbook-dtd412-xml
BuildRequires:	docbook-dtd45-xml
BuildRequires:	docbook-style-xsl
%{?with_kde:BuildRequires: kf5-kdoctools}
BuildRequires:	libstdc++-devel
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
BuildRequires:	perl-base
BuildRequires:	qt5-qmake
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.596
Requires:	desktop-file-utils
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xsldbg is debugger with interface similar to gdb, but used to debug
XSLT stylesheets.

It has three major modes of execution of stylesheets: run the whole
stylesheet; step to next xsl instruction; continue until next break
point is found, or stylesheet has restarted.

%description -l pl.UTF-8
xsldbg jest odpluskwiaczem z interfejsem podobnym do gdb, ale służącym
do odpluskwiania styli XSLT.

Ma trzy podstawowe tryby wykonywania styli: uruchomienie całości; krok
do następnej instrukcji xsl; kontynuacja do następnego punktu stopu
lub restartu stylu.

%package apidocs
Summary:	xsldbg KDE Docbook
Group:		Documentation
BuildArch:	noarch

%description apidocs
xsldbg KDE Docbook.

%prep
%setup -q

%build
qmake-qt5 \
	QMAKE_EXTRAS="CONFIG+=xsldbg_shortcut" \
	-r xsldbg.pro
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	KDEDOCS_ROOT=%{_kdedocdir} \
	INSTALL_ROOT=$RPM_BUILD_ROOT

# fixup borked icons path
install -d $RPM_BUILD_ROOT%{_iconsdir}
mv $RPM_BUILD_ROOT{%{_prefix}/icons/*,%{_iconsdir}}

# KDEDOCS_ROOT override in makefile or qmake-qt5 does not work
install -d $RPM_BUILD_ROOT%{_kdedocdir}
mv $RPM_BUILD_ROOT{%{_docdir}/HTML/*,%{_kdedocdir}}

rm -r $RPM_BUILD_ROOT%{_docdir}/packages/xsldbg

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_icon_cache hicolor

%postun
%update_desktop_database
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc README.md AUTHORS ChangeLog TODO
%attr(755,root,root) %{_bindir}/xsldbg
%{_mandir}/man1/xsldbg.1*
%{_desktopdir}/xsldbg.desktop
%{_iconsdir}/hicolor/*/apps/xsldbg_source.png

%if %{with kde}
%files apidocs
%defattr(644,root,root,755)
%{_kdedocdir}/en/xsldbg
%endif
%changelog
* Thu Oct 17 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xsldbg.git;a=log;h=master

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 29297d0
- release 3 (by relup.sh)

* Tue Nov 20 2018 Elan Ruusamäe <glen@pld-linux.org> 26d3210
- fix kdedoc dir packaging

* Sun Nov 18 2018 Elan Ruusamäe <glen@pld-linux.org> db7a345
- use _kdedocdir macro in files

* Mon Oct 29 2018 Elan Ruusamäe <glen@delfi.ee> fbb67a9
- BR docbook-dtd45-xml

* Sat Oct 27 2018 Elan Ruusamäe <glen@delfi.ee> 4a90ad9
- BR docbook-style-xsl

* Sat Oct 27 2018 Elan Ruusamäe <glen@delfi.ee> 5900c8e
- BR libstdc++-devel

* Sat Oct 27 2018 Elan Ruusamäe <glen@pld-linux.org> 161603c
- requires meinproc5 for KDE docbook docs build; subpackage kde docs

* Sat Oct 27 2018 Elan Ruusamäe <glen@pld-linux.org> 1b6b27c
- update to 4.8.0; library no longer present

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 04f87fe
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 64ea7fe
- converted to UTF-8

* Sun Sep 11 2005 darekr <darekr@pld-linux.org> 2b98984
- strict deps

* Sun Apr 03 2005 darekr <darekr@pld-linux.org> 9802acc
- BR: s/perl/perl-base/

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 0a6a2a4
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 38d5edc
- massive attack s/pld.org.pl/pld-linux.org/

* Thu Mar 13 2003 Jakub Bogusz <qboosh@pld-linux.org> 07a6460
- working Source URL, minor fixed where needed

* Wed Oct 09 2002 Jakub Bogusz <qboosh@pld-linux.org> 3da75e0
- BR: libtool; new %%doc

* Sun Jun 23 2002 kloczek <kloczek@pld-linux.org> d11e57d
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

* Wed May 22 2002 kloczek <kloczek@pld-linux.org> ee1bf1e
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

* Mon Apr 22 2002 kloczek <kloczek@pld-linux.org> 90d48ed
- added missing Requires rules in devel and static subpackages,
- spec adapterized.

* Mon Apr 22 2002 Jakub Bogusz <qboosh@pld-linux.org> e59f41f
- missing pl description

